Skip to main content
POST
/
api
/
v1
/
registrations
/
content
/
available-jurisdictions
curl --request POST \
  --url 'https://transaction-tax.api.in.commenda.io/api/v1/registrations/content/available-jurisdictions' \
  --header 'Authorization: Bearer <your_token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "filters": {
      "countries": ["US"],
      "types": ["STATE_OR_PROVINCE"]
    },
    "limit": 50
  }'
{
  "data": {
    "jurisdictions": [
      {
        "jurisdiction_id": "JUR_US_STATE_CA",
        "jurisdiction_name": "California",
        "jurisdiction_type": "STATE_OR_PROVINCE",
        "state_or_province": "CA",
        "country": "US"
      },
      {
        "jurisdiction_id": "JUR_US_STATE_TX",
        "jurisdiction_name": "Texas",
        "jurisdiction_type": "STATE_OR_PROVINCE",
        "state_or_province": "TX",
        "country": "US"
      },
      {
        "jurisdiction_id": "JUR_US_STATE_NY",
        "jurisdiction_name": "New York",
        "jurisdiction_type": "STATE_OR_PROVINCE",
        "state_or_province": "NY",
        "country": "US"
      }
    ],
    "total": 45,
    "cursor": "SlVSX1VTX1NUQVRFX05Z"
  }
}
Search for tax jurisdictions where registrations are available. Returns jurisdictions that match your filters, with pagination support for large result sets.

Request Body

filters
object
Filter criteria for jurisdictions.
Free-text search across jurisdiction names.Example: "Los Angeles" or "California"
cursor
string
Pagination cursor from a previous response. Leave empty for the first page.
limit
integer
default:"10"
Maximum number of results to return (1-100).

Response Fields

FieldTypeDescription
jurisdictionsarrayList of matching jurisdictions
jurisdictions[].jurisdiction_idstringUnique identifier for the jurisdiction
jurisdictions[].jurisdiction_namestringHuman-readable name
jurisdictions[].jurisdiction_typestringType of jurisdiction
jurisdictions[].state_or_provincestringState/province code if applicable
jurisdictions[].countrystringISO country code
totalintegerTotal number of matching jurisdictions
cursorstringCursor for the next page (empty if no more results)
curl --request POST \
  --url 'https://transaction-tax.api.in.commenda.io/api/v1/registrations/content/available-jurisdictions' \
  --header 'Authorization: Bearer <your_token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "filters": {
      "countries": ["US"],
      "types": ["STATE_OR_PROVINCE"]
    },
    "limit": 50
  }'
{
  "data": {
    "jurisdictions": [
      {
        "jurisdiction_id": "JUR_US_STATE_CA",
        "jurisdiction_name": "California",
        "jurisdiction_type": "STATE_OR_PROVINCE",
        "state_or_province": "CA",
        "country": "US"
      },
      {
        "jurisdiction_id": "JUR_US_STATE_TX",
        "jurisdiction_name": "Texas",
        "jurisdiction_type": "STATE_OR_PROVINCE",
        "state_or_province": "TX",
        "country": "US"
      },
      {
        "jurisdiction_id": "JUR_US_STATE_NY",
        "jurisdiction_name": "New York",
        "jurisdiction_type": "STATE_OR_PROVINCE",
        "state_or_province": "NY",
        "country": "US"
      }
    ],
    "total": 45,
    "cursor": "SlVSX1VTX1NUQVRFX05Z"
  }
}

Next Steps

After finding jurisdictions, use the Registration Input Options endpoint to get the registration_content_id and available tax types for each jurisdiction.